Description: Use systems fonts.
Forwarded: no
Last-Update: 2016-09-15
Author: Julián Moreno Patiño <julian@debian.org>
--- a/demo/gddemo.py
+++ b/demo/gddemo.py
@@ -2,9 +2,26 @@
 
 import gd, os, cStringIO, urllib2
 
-os.environ["GDFONTPATH"] = "."
-
-FONT = "Pacifico"
+fontlist = [
+    '/usr/share/fonts/truetype/freefont/FreeSerif.ttf',
+    '/usr/share/fonts/truetype/freefont/FreeSans.ttf',
+    '/usr/share/fonts/truetype/freefont/FreeMono.ttf'
+    ]
+
+fontpath = '.'
+for f in fontlist:
+    if os.path.exists(f):
+        fontpath = fontpath + ':' + os.path.dirname(f)
+        FONT = os.path.abspath(f)
+        break
+
+os.environ["GDFONTPATH"] = "fontpath"
+
+try:
+    FONT
+except NameError:
+    print "no fonts found"
+    sys.exit(1)
 
 def simple():
     im = gd.image((200, 200))
@@ -44,4 +61,3 @@
     print "GNU Image Size:", im.size()
 
 simple()
-
